#
# spec file for package qm
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           qm
BuildRequires:  python-devel
Version:        2.3
Release:        223.4
Summary:        QMTest--General Purpose Testing Solution
License:        GPL-2.0+
Group:          Development/Tools/Building
Url:            http://www.codesourcery.com/qmtest/
Source:         qm-%{version}.tar.bz2
Patch1:         qm-firefox.patch
Patch2:         qm-doc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       python python-devel python-xml MozillaFirefox

%description
QMTest is a cost-effective general purpose testing solution that can be
used to implement a robust, easy to use testing process.



Authors:
--------
    info@codesourcery.com

%prep
%setup -q -n qm-%{version}
%patch1
%patch2

%build
export CFLAGS="$RPM_OPT_FLAGS"
python setup.py build 

%install
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT \
                        --record-rpm=INSTALLED_FILES
find $RPM_BUILD_ROOT/usr/share/qm -type f \( -name "*.gif" -o -name "*.txt" -o -name "*.dtml" -o -name "*.css" \) -print0 | xargs -0 chmod 644
chmod 644 $RPM_BUILD_ROOT/%{_docdir}/qm/test/html/qm.css

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_docdir}/qm/*
%dir %{_docdir}/qm
%dir %py_sitedir/qm
%py_sitedir/qm/
%py_sitedir/qm*
%{_prefix}/bin/qm*
%dir %{_prefix}/share/qm
%{_prefix}/share/qm/
#%exclude /usr/share/doc/packages

%changelog
* Wed Dec 21 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Thu Sep  3 2009 aj@suse.de
- Fix patch usage.
- Fix permissions.
* Mon Sep  8 2008 ro@suse.de
- use macro py_sitedir in filelist
* Thu Apr 12 2007 stefan@suse.de
- fix Bug 260746 - qm packaging error
* Tue Nov  7 2006 ro@suse.de
- fix docu permissions
* Tue Feb 28 2006 jmatejek@suse.cz
- updated to reflect python changes due to #149809
* Fri Feb 17 2006 ro@suse.de
- Require and default to firefox
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jul 11 2005 schubi@suse.de
- update to 2.3
* Thu Dec 23 2004 schubi@suse.de
- initial
